# Frontend

## Description

Oh god, front end web development, specifically javascript. This is the front end for the API based backend of DumbYT, a simple Youtube manager that keeps track of various channels or videos a user wants to be "subscribed" to.

This project makes use of the following:

- **Vuejs** Reasonable javascript framework that's well documented and actively developed.
- **Axios** Nice HTTP post/delete/etc helper library
- **TypeScript** Making javascript more bearable, adds types to the language and other niceties.
- **WebPack** Handles running the Typescript compiler and minifying and running a server for development.

## Getting Started

1. Clone the repository
2. Run ```npm update``` to download all the project dependencies.
3. Run ```npm start``` which will automatically start a server and recompile the typescript based backend when there are file changes. Also, ```/api``` is proxied back to the production server, though this can be edited in ```webpack.config.js```.
4. Run ```npm run-script build``` which generates the frontend files for production.
